<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>CppClassAttributesDeclaration xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppClassAttributesDeclaration.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2014 CEA LIST.</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * </em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> *     CEA LIST - initial API and implementation</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.cpp.codegen.xtend;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> com.google.common.base.Objects;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> java.util.Collection;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.codegen.xtend.CppAttribute;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Classifier;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Property;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.VisibilityKind;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtend2.lib.StringConcatenation;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.xbase.lib.Functions.Function1;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.xbase.lib.IterableExtensions;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment"> * @author Önder GÜRCAN (onder.gurcan@cea.fr)</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  @SuppressWarnings(<span class="jxr_string">"all"</span>)
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppClassAttributesDeclaration.html">CppClassAttributesDeclaration</a> {
<a class="jxr_linenumber" name="L28" href="#L28">28</a>    <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> CharSequence <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppClassAttributesDeclaration.html">CppClassAttributesDeclaration</a>(<strong class="jxr_keyword">final</strong> Classifier clazz, <strong class="jxr_keyword">final</strong> VisibilityKind visibilityFilter) {
<a class="jxr_linenumber" name="L29" href="#L29">29</a>      StringConcatenation _builder = <strong class="jxr_keyword">new</strong> StringConcatenation();
<a class="jxr_linenumber" name="L30" href="#L30">30</a>      {
<a class="jxr_linenumber" name="L31" href="#L31">31</a>        Collection&lt;Property&gt; _ownedAttributes = CppAttribute.getOwnedAttributes(clazz);
<a class="jxr_linenumber" name="L32" href="#L32">32</a>        <strong class="jxr_keyword">final</strong> Function1&lt;Property, Boolean&gt; _function = <strong class="jxr_keyword">new</strong> Function1&lt;Property, Boolean&gt;() {
<a class="jxr_linenumber" name="L33" href="#L33">33</a>          @Override
<a class="jxr_linenumber" name="L34" href="#L34">34</a>          <strong class="jxr_keyword">public</strong> Boolean apply(<strong class="jxr_keyword">final</strong> Property it) {
<a class="jxr_linenumber" name="L35" href="#L35">35</a>            VisibilityKind _visibility = it.getVisibility();
<a class="jxr_linenumber" name="L36" href="#L36">36</a>            <strong class="jxr_keyword">return</strong> Boolean.valueOf(Objects.equal(_visibility, visibilityFilter));
<a class="jxr_linenumber" name="L37" href="#L37">37</a>          }
<a class="jxr_linenumber" name="L38" href="#L38">38</a>        };
<a class="jxr_linenumber" name="L39" href="#L39">39</a>        Iterable&lt;Property&gt; _filter = IterableExtensions.&lt;Property&gt;filter(_ownedAttributes, _function);
<a class="jxr_linenumber" name="L40" href="#L40">40</a>        <strong class="jxr_keyword">for</strong>(<strong class="jxr_keyword">final</strong> Property oa : _filter) {
<a class="jxr_linenumber" name="L41" href="#L41">41</a>          CharSequence _CppAttributeDeclaration = CppAttribute.CppAttributeDeclaration(oa);
<a class="jxr_linenumber" name="L42" href="#L42">42</a>          _builder.append(_CppAttributeDeclaration, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L43" href="#L43">43</a>          _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L44" href="#L44">44</a>        }
<a class="jxr_linenumber" name="L45" href="#L45">45</a>      }
<a class="jxr_linenumber" name="L46" href="#L46">46</a>      <strong class="jxr_keyword">return</strong> _builder;
<a class="jxr_linenumber" name="L47" href="#L47">47</a>    }
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
